﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.Views;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace Plane.FormationCreator.Converters
{
    public class FlightTaskStatusToFillConverter : IValueConverter
    {
        static SolidColorBrush _normalFill = new SolidColorBrush(Colors.LightGray);
        static SolidColorBrush _runningFill = new SolidColorBrush(Colors.OrangeRed);
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var status = (FlightTaskStatus)value;
            return status == FlightTaskStatus.Running ? _runningFill : _normalFill;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
